pub(crate) fn safe_u64_to_f64(value: u64) -> eyre::Result<f64> {
    const MAX_SAFE_INT: u64 = 1 << 53;

    if value < MAX_SAFE_INT {
        #[allow(clippy::cast_precision_loss)]
        Ok(value as f64)
    } else {
        eyre::bail!("Value {value} exceeds maximum safe integer, potential precision loss")
    }
}
